package com.ruoyi.ehsDocument.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ehsDocument.domain.EhsDocument;

/**
 * 公文管理Service接口
 *
 * @author ruoyi
 * @date 2023-12-07
 */
public interface IEhsDocumentService extends IService<EhsDocument> {

    /**
     * 查询公文管理
     *
     * @param id 公文管理主键
     * @return 公文管理
     */
    public EhsDocument selectEhsDocumentById(Long id);

    /**
     * 查询公文管理列表
     *
     * @param ehsDocument 公文管理
     * @return 公文管理集合
     */
    public List<EhsDocument> selectEhsDocumentList(EhsDocument ehsDocument);

    /**
     * 获取拟稿部门下拉列表
     * @return
     */
    List<String> getAllDraftDept();
}
