package com.ruoyi.materialClass.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.materialClass.domain.MaterialClassSub;
import java.util.List;

/**
 * 物资分类-二级分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-01-04
 */
public interface MaterialClassSubMapper extends BaseMapper<MaterialClassSub> {
	/**
	 * 查询物资分类-二级分类
	 *
	 * @param classSubId 物资分类-二级分类主键
	 * @return 物资分类-二级分类
	 */
	public MaterialClassSub selectMaterialClassSubByClassSubId(String classSubId);

	/**
	 * 查询物资分类-二级分类列表
	 *
	 * @param materialClassSub 物资分类-二级分类
	 * @return 物资分类-二级分类集合
	 */
	public List<MaterialClassSub> selectMaterialClassSubList(MaterialClassSub materialClassSub);

	public int deleteMaterialClassSubByClassMastId(String classMastId);
}
